part of 'set_password_form_bloc.dart';

@freezed
class SetPasswordFormEvent with _$SetPasswordFormEvent {
  const factory SetPasswordFormEvent.registrationTokenChanged(
    String registrationToken,
  ) = _RegistrationTokenChanged;
  const factory SetPasswordFormEvent.passwordChanged(String password) =
      _PasswordChanged;
  const factory SetPasswordFormEvent.confirmPasswordChanged(
    String confirmPassword,
  ) = _ConfirmPasswordChanged;
  const factory SetPasswordFormEvent.submitted() = _Submitted;
}
